#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: prelude-extras
version: 0.4.0.3
id: prelude-extras-0.4.0.3-BhL9U5k7NtGJn1itwIHt2Y
key: prelude-extras-0.4.0.3-BhL9U5k7NtGJn1itwIHt2Y
license: BSD3
copyright: Copyright (C) 2011-2016 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/prelude-extras
synopsis: Higher order versions of Prelude classes
description:
    Higher order versions of Prelude classes to ease programming with polymorphic recursion and reduce UndecidableInstances
    .
    See <http://flint.cs.yale.edu/trifonov/papers/sqcc.pdf> for further discussion of the approach taken here.
category: Polymorphism, Combinators
author: Edward A. Kmett
exposed: True
exposed-modules:
    Prelude.Extras
abi: 19249074415767890e3fcecf0fa14fcb
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/prelude-extras-0.4.0.3
library-dirs: /usr/lib/ghc-8.0.2/site-local/prelude-extras-0.4.0.3
dynamic-library-dirs: /usr/lib/i386-linux-ghc-8.0.2
data-dir: /usr/share/i386-linux-ghc-8.0.2/prelude-extras-0.4.0.3
hs-libraries: HSprelude-extras-0.4.0.3-BhL9U5k7NtGJn1itwIHt2Y
depends:
    base-4.9.1.0
haddock-interfaces: /usr/share/doc/haskell-prelude-extras/html/prelude-extras.haddock
haddock-html: /usr/share/doc/haskell-prelude-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
